Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80340 - Unable to create cd from nautilus CD Creator as user
Summary: Unable to create cd from nautilus CD Creator as user
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kudzu
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-24 19:01 UTC by Mark Cooke
Modified: 2014-03-17 02:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-30 06:03:48 UTC


Attachments (Terms of Use)

Description Mark Cooke 2002-12-24 19:01:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
Due to the user not having the correct permissions to connect and operate the cd
device, in my case this is a scsi cdburner attatched to lun 0,2,0.
This is the usuall practice for these devices (as you know)

The operation works fine as root, but not as a user unless the user has access
to the device (ie correct permissions).







Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go | CD Creator
2. drag and drop files
3. Create cd
4. Error regarding incorrect permission to access device
    

Actual Results:  Above

Expected Results:  1. The user to either be put into a specialo group or have
acess to this device.

2. Disable this option for users (ie remove from panel), this will upset people,
as this is a very cool and usefull addon

Additional info:

Comment 1 Mark Cooke 2002-12-25 07:39:02 UTC
Error dialog output:

cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you are root.
cdrecord: Permission denied. Cannot open '/dev/sg0'. Cannot open SCSI driver.
scsibus: 0 target: 2 lun: 0
scsidev: '0,2,0'
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Operation not permitted. WARNING: Cannot do mlockall(2).

Comment 2 Alexander Larsson 2003-01-06 15:37:25 UTC
Do you have any /dev/cdwriter* files?

notting: Did you add the cd writer stuff to kudzu?


Comment 3 Alexander Larsson 2003-01-06 17:15:58 UTC
Kudzu needs to create the /dev/cdwriter links.


Comment 4 Bill Nottingham 2003-01-06 20:53:37 UTC
Ugh. This could get tricky on mixed SCSI/ide systems.

Comment 5 Mark Cooke 2003-01-06 21:01:33 UTC
I presume these are just symlinks to the real devices?

Won't the 'user' still have to be in the correct group to access the cdrom burner?

If I'm told what to do I don't mind testing this out
(assuming the setup will be similar to the way cdrecord can be setup to allow a
normal user access?)
Mark

Comment 6 Bill Nottingham 2003-01-06 21:06:58 UTC
The user will get access via pam_console.

Comment 7 Alexander Larsson 2003-01-08 09:47:35 UTC
notting: You might want to look at the cdrom.[ch] files in nautilus-cd-burner
for some code that handles ide and scsi burners.


Comment 8 Mark Cooke 2003-01-26 20:41:09 UTC
This has still not been fixed in Phoebe Beta 2, It is working as root, but still
not as a normal user.

I don't want to sound as though I'm moaning, but will this be fixed for the
final release?, as if not I would remove the option, as this will cause complaints.

Once I logged in as root, it worked perfectly every time.

Comment 9 Bill Nottingham 2003-01-30 06:03:48 UTC
Fixed in 0.99.91-1, as part of updfstab.

Comment 10 Mark Cooke 2003-01-30 08:20:17 UTC
will this be available on up2date? or via rawhide?

Comment 11 Bill Nottingham 2003-01-30 17:19:17 UTC
Should be in rawhide soon, if not there already.


Note You need to log in before you can comment on or make changes to this bug.